<?php
// +-----------------------------------------------------------------------+
// | Piwigo - a PHP based picture gallery                                  |
// | Theme switch plugin                                                   |
// +-----------------------------------------------------------------------+
// | Copyright(C) 2012      Piwigo Team                  http://piwigo.org |
// | Copyright(C) 2010      Pavel Budka               http://budkovi.ic.cz |
// +-----------------------------------------------------------------------+
// | This program is free software; you can redistribute it and/or modify  |
// | it under the terms of the GNU General Public License as published by  |
// | the Free Software Foundation                                          |
// |                                                                       |
// | This program is distributed in the hope that it will be useful, but   |
// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
// | General Public License for more details.                              |
// |                                                                       |
// | You should have received a copy of the GNU General Public License     |
// | along with this program; if not, write to the Free Software           |
// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
// | USA.                                                                  |
// +-----------------------------------------------------------------------+

/*
Plugin Name: Theme Switch
Version: auto
Description: Lets users change the theme of the gallery via menu on home page. The switch can show theme names or theme icons, depends on configuration.
Plugin URI: http://phpwebgallery.net/ext/extension_view.php?eid=257
Author: Pavel Budka & Mistic
Author URI: http://budkovi.ic.cz
*/

// in order to use select box instead of thumbnail view, add
// $conf['theme_switch_mode'] = 'select';
// in your local configuration

if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');

if (mobile_theme())
{
  return;
}

define('THEME_SWITCH_PATH' , PHPWG_PLUGINS_PATH.basename(dirname(__FILE__)).'/');

include_once(THEME_SWITCH_PATH.'theme_switch.inc.php');

add_event_handler('user_init', 'theme_controler_switch');
add_event_handler('loc_end_index', 'theme_controler_init');

?>
